<?php
$version = "0.95";
$date = "18/05/2006";
$site = "http://jopc.free.fr/index.php?Clickimage";
$topic_dc = "http://www.dotclear.net/forum/viewtopic.php?pid=82970";
$dir_clickimage = "tools/clickimage/";

require ("fonctions.php");

//Config préenregister
if ($_POST['charger'])
{
	require ("config.php");
	
	$config_avance = $_POST['config_avance'];
	
	require ("preconfig.php");
	
	$message_enregistrement='<p style="color:red;"><span style="text-decoration:blink underline;">/!\</span>
		il faut <INPUT type="submit" name="enregister" value="Enregistrer la configuration"> pour que la modification soit prise en compte !</p>';
}
//création du fichier de config
elseif ($_POST['enregister'])
{
	//créer une copie du fichier
	copy("tools/clickimage/config.php",'tools/clickimage/config.php'.date('.Y-m-d.H-i-s').'.old');
	
	if (!is_writable("tools/clickimage/config.php"))
	{
		$message_enregistrement='<p style=" color:red;"><span style="text-decoration:blink underline;">/!\</span>
			<u style="text-decoration:blink;">/!\</u><p>le fichier de configuration <code>/dotclear/ecrire/tools/clickimage/config.php</code> n\'est pas accessible en écriture, la configuration na pas pus être enregistrée</p>
			<p>Vous pouver soit <lo>
			<li>Lui changer ces permissions (chmod 666)</li>
			<li>L\éditer manuellement</li>
		</lo></p>';
	}
	else
	{
		$fichier_config=fopen("tools/clickimage/config.php","w");
		fwrite($fichier_config,'<?php
			//CONFIGURATION DU SCRIPT CLICKIMAGE
			//Si dotclear est installer dans sont dossier "dotclear" et que celui ci est installer à la racine (installation standard), Aucune modification n\'est nécessaire pour le fonctionnement du site.
			
			//Chemin du dossier ou sont stocker les images depuis la racine du site. Le dossier doit exister
			$chemin_dossier_image_form = \''.add_quotes($HTTP_POST_VARS['chemin_dossier_image']).'\';
			$chemin_dossier_image = "'.add_quotes($HTTP_POST_VARS['chemin_dossier_image']).'";
			
			//Hauteur maximum des miniature
			$min_reso_H = '.$HTTP_POST_VARS['min_reso_H'].';
			//Largeur maximum des miniature
			$min_reso_L = '.$HTTP_POST_VARS['min_reso_L'].';
			//taille en octet maximum des images envoyer
			$taille_max = '.($HTTP_POST_VARS['taille_max']*1048576).';
			
			//Option pré-enregistrées
			$config_avance = "'.$_POST['config_avance'].'";
			
			//Wiki
			$code_wiki_gauche 	= \''.add_quotes($HTTP_POST_VARS['code_wiki_gauche']).'\';
			$code_wikiclick_gauche 	= \''.add_quotes($HTTP_POST_VARS['code_wikiclick_gauche']).'\';
			$code_wiki_droite 	= \''.add_quotes($HTTP_POST_VARS['code_wiki_droite']).'\';
			$code_wikiclick_droite 	= \''.add_quotes($HTTP_POST_VARS['code_wikiclick_droite']).'\';
			$code_wiki_centre 	= \''.add_quotes($HTTP_POST_VARS['code_wiki_centre']).'\';
			$code_wikiclick_centre 	= \''.add_quotes($HTTP_POST_VARS['code_wikiclick_centre']).'\';
			$code_wiki_caract 	= \''.add_quotes($HTTP_POST_VARS['code_wiki_caract']).'\';
			$code_wikiclick_caract 	= \''.add_quotes($HTTP_POST_VARS['code_wikiclick_caract']).'\';
			//HTML
			$code_html_gauche	= \''.add_quotes($HTTP_POST_VARS['code_html_gauche']).'\';
			$code_htmlclick_gauche	= \''.add_quotes($HTTP_POST_VARS['code_htmlclick_gauche']).'\';
			$code_html_droite	= \''.add_quotes($HTTP_POST_VARS['code_html_droite']).'\';
			$code_htmlclick_droite	= \''.add_quotes($HTTP_POST_VARS['code_htmlclick_droite']).'\';
			$code_html_centre	= \''.add_quotes($HTTP_POST_VARS['code_html_centre']).'\';
			$code_htmlclick_centre	= \''.add_quotes($HTTP_POST_VARS['code_htmlclick_centre']).'\';
			$code_html_caract	= \''.add_quotes($HTTP_POST_VARS['code_html_caract']).'\';
			$code_htmlclick_caract	= \''.add_quotes($HTTP_POST_VARS['code_htmlclick_caract']).'\';
			
			//extension reconnue
			$typejpg = array(\'jpg\', \'JPG\', \'jpeg\', \'JPEG\');
			$typegif = array(\'gif\', \'GIF\');
			$typepng = array(\'png\', \'PNG\');
		?>');
		fclose($fichier_config);
		
		require ("config.php");
		
		$message_enregistrement='<p style="color:green;"><span style="text-decoration:blink underline;">/!\</span>
			La configuration a bien été enregistrée !</p>';
	} 
}
else
{
	require ("config.php");
}

//Option avancé selectionner
function selected($option)
{
	Global $config_avance;
	if ($config_avance==$option)
	{	return "selected";	}
}


//affichage ------------------------------------------------------------------/
buffer::str('
<style>

pre {
    color : gray;
    margin-left : 2em;
  }


code {
    color : gray;
    font-weight : normal;
  }


#sommaire span {
	left : 22em;
	position : absolute;
  }

#options_avances li {
    padding-bottom: 1.6em;
  }


#options_avances textarea {
    height : 2.5em;
    left : 25em;
    position : absolute;
    vertical-align : middle;
    width : 40em;
  }

</style>


<h2>ClickImage</h2>


<h3>Sommaire</h3>

<fieldset>
<ul id="sommaire">
<li><a href="#pres">Présentation</a> :         <span>mais à quoi peut bien servir ce plugin ?</span></li>
<li><a href="#conf">Configuration</a> :        <span>configurer la taille de miniature, comment s\'ouvrent les images ...</span></li>
<li><a href="#install">Installation</a> :      <span>les différentes opérations à effectuer pour que le plugin fonctionne.</span></li>
<li><a href="#uninstall">Désinstallation</a> : <span>comment supprimer ce plugin ?</span></li>
<li><a href="#bleme">En cas de problème</a> :  <span>comment le résoudre ?</span></li>
<li><a href="#info">Informations</a> :         <span>la version du script, le site ...</span></li>
</ul>
</fieldset>

<a name="pres"></a>
<h3>Présentation</h3>

<fieldset>
<p>ClickImage permet d\'insérer facilement des "miniatures cliquables". Lorsqu\'on clique sur la miniature, l\'image (taille d\'origine) s\'ouvre (dans un popup ou dimension de celle-ci, dans une nouvelle fenêtre, dans la même fenêtre ou avec le plugin <a href="http://www.alconis.com/dotclear/index.php?2006/04/14/116-lightbox-js-pour-dotclear" target="_blank">Lightbox JS pour DotClear</a>). Si la taille de l\'image d\'origine et plus petite que la miniature, aucune réduction n\'est effectuée et l\'image est simplement insérée).</p>
<p>Les images peuvent provenir : soit du disque dur, soit d\'un autre site (les images sont alors copier afin de ne pas "voler" la bande passante de l\'autre site).</p>
</fieldset>


<a name="conf"></a>
<h3>Configuration</h3>

<form method="POST" action="'.$_SERVER['PHP_SELF'].'?p=clickimage#conf" >
'.$message_enregistrement.'

<fieldset>

<h4>Chemin du dossier images</h4>

<p>Chemin du dossier (à partir de la racine du site) où seront stockées les images (sans les "/" au début et à la fin). Il est possible de créer des dossiers "dynamiques" <a href="'.$dir_clickimage.'help_dossierdyn.php?auteur='.$_SESSION['sess_user_id'].'" onclick="window.open (this.href, \'image\', config=\'toolbar=no, height=470, width=500\'); return false;"><img src="images/ico_help.png" alt="help"></a>.<br>
<span style="left : 2em; position : relative;">
<textarea name="chemin_dossier_image" cols="100" rows="1" style="vertical-align : middle;">'.stripslashes($chemin_dossier_image_form).'</textarea><br>
</span></p>


<h4>Taille maximum des fichiers</h4>

<p>Les fichiers envoyés ne doivent pas déplacer les <input type="text" name="taille_max" value="'.($taille_max/1048576).'" size="2"> Mo.</p>


<h4>Miniatures</h4>

<p>La résolution des miniatures ne doit pas déplacer les :<br>
<span style="left : 2em; position : relative;"><input type="text" name="min_reso_L" value="'.$min_reso_L.'" size="3">px en largeur</span>
<span style="left : 3em; position : relative;"><input type="text" name="min_reso_H" value="'.$min_reso_H.'" size="3">px en hauteur</span></p>


<h4>Ouverture des images</h4>

<p>Ouvir les images 
<select name="config_avance">
	<option '.selected("ici").' value="ici">dans la même fenêtre</option>
	<option '.selected("blank").' value="blank">dans une nouvelle fenêtre (HTML uniquement)</option>
	<option '.selected("popup").' value="popup">dans un popup aux dimensions de celles-ci (HTML uniquement)</option>
	<option '.selected("lightbox").' value="lightbox">avec le plugins Lightbox JS pour DotClear</option>
</select> 
<INPUT type="submit" name="charger" value="Charger"> <span  style="color : gray; font-size : 80%;">(il faut ensuite enregister la configuration)</span>
</p>


<h4>Options avancées</h4>

<p>Il est possible de modifier manuellement les balises (HTML ou wiki) d\'insertion des images. Si vous ne savez pas ce que vous faites ne touchez pas aux options suivante.</p>

<p>A la place du chemin de la miniature utilisez la variable <code>%min%</code>.<br>
A la place du chemin de l\'image taille d\'origine utilisez la variable <code>%orig%</code>.<br>
A la place du texte alternatif ou du commentaire utilisez la variable <code>%texte%.</code></p>


<h5>Image en mode wiki</h5>

<p>Code pour l\'insertion des images non-clickable<a style="cursor:help" title="Car plus petites que la taille des miniatures"><img src="images/ico_help.png" alt="help"></a>:</p>
<ul id="options_avances">

	<li>
	Texte à droite de l\'image :
	<textarea name="code_wiki_gauche">'.(stripslashes($code_wiki_gauche)).'</textarea></span>
	</li>
	
	<li>
	Texte à gauche de l\'image :
	<textarea name="code_wiki_droite">'.(stripslashes($code_wiki_droite)).'</textarea></span>
	</li>
	
	<li>
	Image centrée:
	<textarea name="code_wiki_centre">'.(stripslashes($code_wiki_centre)).'</textarea></span>
	</li>
	
	<li>
	Image comme caractère :
	<textarea name="code_wiki_caract">'.(stripslashes($code_wiki_caract)).'</textarea></span>
	</li>

</ul>

<p>Code pour l\'insertion des images clickable<a style="cursor:help" title="Car plus grandes que la taille des miniatures"><img src="images/ico_help.png" alt="help"></a>:</p>
<ul id="options_avances">

	<li>
	Texte à droite de l\'image :
	<textarea name="code_wikiclick_gauche">'.(stripslashes($code_wikiclick_gauche)).'</textarea></span>
	</li>
	
	<li>
	Texte à gauche de l\'image :
	<textarea name="code_wikiclick_droite">'.(stripslashes($code_wikiclick_droite)).'</textarea></span>
	</li>
	
	<li>
	Image centrée:
	<textarea name="code_wikiclick_centre">'.(stripslashes($code_wikiclick_centre)).'</textarea></span>
	</li>
	
	<li>
	Image comme caractère :
	<textarea name="code_wikiclick_caract">'.(stripslashes($code_wikiclick_caract)).'</textarea></span>
	</li>

</ul>


<h5>Image en HTML</h5>

<p>Code pour l\'insertion des images non-clickable<a style="cursor:help" title="Car plus petites que la taille des miniatures"><img src="images/ico_help.png" alt="help"></a>:</p>
<ul id="options_avances">

	<li>
	Texte à droite de l\'image :
	<textarea name="code_html_gauche">'.(stripslashes($code_html_gauche)).'</textarea></span>
	</li>
	
	<li>
	Texte à gauche de l\'image :
	<textarea name="code_html_droite">'.(stripslashes($code_html_droite)).'</textarea></span>
	</li>
	
	<li>
	Image centrée:
	<textarea name="code_html_centre">'.(stripslashes($code_html_centre)).'</textarea></span>
	</li>
	
	<li>
	Image comme caractère :
	<textarea name="code_html_caract">'.(stripslashes($code_html_caract)).'</textarea></span>
	</li>

</ul>

<p>Code pour l\'insertion des images clickable<a style="cursor:help" title="Car plus grandes que la taille des miniatures"><img src="images/ico_help.png" alt="help"></a>:</p>
<ul id="options_avances">

	<li>
	Texte à droite de l\'image :
	<textarea name="code_htmlclick_gauche">'.(stripslashes($code_htmlclick_gauche)).'</textarea></span>
	</li>
	
	<li>
	Texte à gauche de l\'image :
	<textarea name="code_htmlclick_droite">'.(stripslashes($code_htmlclick_droite)).'</textarea></span>
	</li>
	
	<li>
	Image centrée:
	<textarea name="code_htmlclick_centre">'.(stripslashes($code_htmlclick_centre)).'</textarea></span>
	</li>
	
	<li>
	Image comme caractère :
	<textarea name="code_htmlclick_caract">'.(stripslashes($code_htmlclick_caract)).'</textarea></span>
	</li>

</ul>

<p><INPUT type="submit" name="enregister" value="Enregistrer la configuration"></p>
'.config_old()/*donne le nombre de sauvegarde et propose de les supprimées*/.'
</form>
</fieldset>


<a name="install"></a>
<h3>Installation</h3>

<fieldset>

<h4>Remplacement des fichiers "toolbar.js" et "tools.js"</h4>

<p>Cliquez <a href="'.$dir_clickimage.'copierfichier.php" onclick="window.open (this.href, \'image\', config=\'toolbar=no, scrollbars=yes, height=120, width=420\'); return false;">ici</a> ce qui lance un script qui renomme les fichiers "<code>toolbar.js</code>" et "<code>tools.js</code>" en "<code>toolbar.js.backupclickimage</code>" et "<code>tools.js.backupclickimage</code>" se trouvant dans "dotclear/ecrire/js/" et les remplacent par ceux se trouvant dans le dossier du script.</p>

<p>Ces fichier sont modifiés afin de permettre l\'ajout d\'un bouton supplémentaire dans la barre d\'outils.</p>

<p>Pour un installation manuelle, comparez les fichiers. Les lignes ajoutée sont accompagnées d\'un commentaire "ajout pour clickimage".</p>


<h4>Modification des fichiers</h4>

<p>Pour ajouter un boutons à la barre d\'outils dotclear: dans <code>dotclear/ecrire/poster.php</code> recherchez :</p>
<pre>tb.btImg(\'".str_replace("\'","\\\'",__(\'Internal image\'))."\',\'images-popup.php\');</pre>
<p>et ajouter en dessous :</p>
<pre>tb.addSpace(10);
tb.btImgClick(\'".str_replace("\'","\\\'",__(\'Image cliquable\'))."\',\'tools/clickimage/clickimage.php\'); //Ajout pour ClickImage</pre>

<p>Si vous utiliser la configuration "<em>ouvrir l\'image dans un popup au dimension de celle-ci</em>" : dans <code>dotclear/themes/Votre_themes/template.php</code> recherchez : (certain thème n\'ont pas de <code>template.php</code>. Il faut modifié alors <code>/themes/default/template.php</code>)</p>
<pre>&#060;?php dcPostTrackbackAutoDiscovery(); ?></pre>
<p>et ajouter en dessous :</p>
<pre>&#060;?php include(dirname(__FILE__).\'/../../ecrire/tools/clickimage/codejavascript.php\') /*Ajout pour ClickImage*/?></pre>

<p>Si vous utilisez le plugin <a href="http://www.alconis.com/dotclear/index.php?2006/04/14/116-lightbox-js-pour-dotclear" target="_blank">Lightbox JS pour DotClear</a> : Il suffit de faire les modifications pour ce plugin.</p>
</fieldset>


<a name="uninstall"></a>
<h3>Désinstallation</h3>

<fieldset>

<h4>Supprimer le bouton</h4>

<p>Il suffit de supprimer dans le fichier <code>dotclear/ecrire/poster.php</code> les lignes :</p>
<pre>tb.addSpace(10);
tb.btImgClick(\'".str_replace("\'","\\\'",__(\'Image cliquable\'))."\',\'tools/clickimage/clickimage.php\'); //Ajout pour ClickImage</pre>


<h4>Supprimer le script d\'ouverture des images dans le popup</h4>

<p>Si vous voulez supprimer ce script (inutile si vous ne vous servez pas de la configuration "<em>ouvrir l\'image dans un popup aux dimensions de celle-ci</em>" il suffit d\'enlever du fichier <code>template.php</code> la ligne :</p>
<pre>&#060;?php include(dirname(__FILE__).\'/../../ecrire/tools/clickimage/codejavascript.php\') /*Ajout pour ClickImage*/?></pre>


<h4>Restaurer les fichiers "toolbar.js" et "tools.js"</h4>

<p>Lors de l\'installation les ancien fichiers "<code>toolbar.js</code>" et "<code>tools.js</code>" on été renomés en "<code>toolbar.js.backupclickimage</code>" et "<code>tools.js.backupclickimage</code>". Pour restaurer ces fichiers il suffit de cliquer <a href="'.$dir_clickimage.'restaurerfichier.php" onclick="window.open (this.href, \'image\', config=\'toolbar=no, scrollbars=yes, height=120, width=420\'); return false;">ici</a>.</p>
<p>Si la modification de ces fichiers a été effectuer avec une version inférieur à la version 0.95 du script clickimage, la restauration automatique ne fonctionne pas car les fichiers de sauvegarde on été renommer en "<code>toolbar.js.old</code>" et "<code>tools.js.old</code>".

</fieldset>

<a name="bleme"></a>
<h3>En cas de problème</h3>

<fieldset>
<ul>
<li>J\'ai un fichier de config foirer : Récupérez en un ancien, le script les a sauvergardés en "config.php.AAAA-MM-JJ.HH-MM-SS.old".</li>
<li>J\'ai autre problème ou j\'ai découverte un bug :</p>
<ul>
<li>Vérifiez que vous possédez la dernière version du script sur <a href="'.$site.'" target="_blank">le site</a>.</li>
<li>Contactez moi via les commentaires sur <a href="'.$site.'" target="_blank">mon site</a>.</li>
</ul>
</ul>
</fieldset>


<a name="info"></a>
<h3>Informations</h3>

<fieldset>
<ul>
<li>Auteur : Jonas Fourquier</li>
<li>Site web : <a href="'.$site.'" target="_blank">'.$site.'</a></li>
<li>Version du script : '.$version.' mise en ligne le '.$date.'</li>
</ul>
</fieldset>
');?>
